Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1512093 - Value of pending entry operations in detail status output is going up after each synchronization.
Summary: Value of pending entry operations in detail status output is going up after e...
Keywords:
Status: NEW
Alias: None
Product: GlusterFS
Classification: Community
Component: geo-replication
Version: mainline
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Kotresh HR
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-10 20:07 UTC by vnosov
Modified: 2018-10-23 14:54 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)
Step-by-step procedure to reproduce the bug. (deleted)
2017-11-10 20:07 UTC, vnosov
no flags Details
GlusterFS logs from the master system. (deleted)
2017-11-10 20:09 UTC, vnosov
no flags Details
GlusterFS logs from the slave system (deleted)
2017-11-10 20:10 UTC, vnosov
no flags Details

Description vnosov 2017-11-10 20:07:59 UTC
Created attachment 1350651 [details]
Step-by-step procedure to reproduce the bug.

Description of problem:

Geo-replication is created, it is active, no errors is reported by CLI and at glusterfs logs. Start write files to master volume. Use geo-replication detail status command. Value of "Number of entry Operations pending" is growing after each synchronization. It never going down except after the replication is restarted.


Version-Release number of selected component (if applicable):

GlusterFS 3.12.2

How reproducible:
100%

Steps to Reproduce:

1. See the attached file "gluster_geo_repl_bug.txt".

Actual results:

Value of pending entries is not going down after synchronization.


Expected results:

In case of successful synchronization the value has to be "0".


Additional info:

1. See the attached glusterfs log files from the master system "gluster_logs_master_182.tgz".
2. See the attached glusterfs log files from the slave system "gluster_logs_slave_183.tgz".

Comment 1 vnosov 2017-11-10 20:09:26 UTC
Created attachment 1350652 [details]
GlusterFS logs from the master system.

Comment 2 vnosov 2017-11-10 20:10:10 UTC
Created attachment 1350653 [details]
GlusterFS logs from the slave system

Comment 3 Aravinda VK 2017-11-27 06:10:58 UTC
IO from mount stopped while running status command?

Entry count in status changes continuously as long as IO is going on in Master volume. (Crawl -> Increment count -> Create entries in slave -> Decrement the count)

This status column is not related to checkpoint. Only if no IO in Master mount and status shows entry count then it might have some issue.

Comment 4 vnosov 2018-09-13 16:20:16 UTC
Problem is reproduced with GlusterFS 3.12.13.

Comment 5 Shyamsundar 2018-10-23 14:54:08 UTC
Release 3.12 has been EOLd and this bug was still found to be in the NEW state, hence moving the version to mainline, to triage the same and take appropriate actions.


Note You need to log in before you can comment on or make changes to this bug.